4Suite™ API Documentation

# ► Module Ft.Server.Server.Launcher

Classes: Launcher, LauncherBase, PosixLauncher, WindowsLauncher |  |  |  | Functions: RemovePid, WaitPid |  |  |  | Fields: PID_DEAD, PID_NOT_OWNER, PID_RUNNING, PID_STOPPED

## Classes

class Launcher(LauncherBase)

### Methods inherited from class LauncherBase

__init__, error, info, reload, restart, start, status, stop

### Fields

class LauncherBase

### Methods

__init__(self, username, password, properties)
error(self, msg)
info(self, msg)
reload(self)
restart(self)
start(self)
status(self)
stop(self)

### Fields

name = '4ssd'

class PosixLauncher(LauncherBase)

### Methods inherited from class LauncherBase

__init__, error, info, reload, restart, start, status, stop

### Fields

class WindowsLauncher(LauncherBase)

### Methods inherited from class LauncherBase

__init__, error, info, reload, restart, start, status, stop

### Fields

## Functions

RemovePid(pidFile)
WaitPid(pidFile, seconds=30)

## Fields

PID_DEAD = 1
PID_NOT_OWNER = 3
PID_RUNNING = 0
PID_STOPPED = 2